org.eclipse.ui.texteditor

## Class BasicMarkerUpdater

- java.lang.Object
- - org.eclipse.ui.texteditor.BasicMarkerUpdater

All Implemented Interfaces:
  IMarkerUpdater

    public final class BasicMarkerUpdater
    extends Object
    implements IMarkerUpdater

Updates a marker's positional attributes which are start position, end position, and line number.

### Constructor Summary

Constructors
Constructor and Description
`BasicMarkerUpdater()` Creates a new basic marker updater.

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getAttribute()` Returns the attributes for which this updater is responsible.
`String` `getMarkerType()` Returns the marker type for which this updater is responsible.
`boolean` `updateMarker(IMarker marker, IDocument document, Position position)` Updates the given marker according to the position of the given document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicMarkerUpdater

    public BasicMarkerUpdater()

Creates a new basic marker updater.

### Method Detail

#### getAttribute

    public String[] getAttribute()

Description copied from interface: `IMarkerUpdater`
Returns the attributes for which this updater is responsible. If the result is `null`, the updater assumes responsibility for any attributes.

Specified by:
  `getAttribute` in interface `IMarkerUpdater`
Returns:
  the attributes or `null` for any attribute

#### getMarkerType

    public String getMarkerType()

Description copied from interface: `IMarkerUpdater`
Returns the marker type for which this updater is responsible. If the result is `null`, the updater assumes responsibility for any marker type.

Specified by:
  `getMarkerType` in interface `IMarkerUpdater`
Returns:
  the marker type or `null` for any marker type

#### updateMarker

    public boolean updateMarker(IMarker marker,
                                IDocument document,
                                Position position)

Description copied from interface: `IMarkerUpdater`
Updates the given marker according to the position of the given document. If the given position is `null`, the marker is assumed to carry the correct positional information.

Specified by:
  `updateMarker` in interface `IMarkerUpdater`
Parameters:
  `marker` - the marker to be updated
  `document` - the document into which the given position points
  `position` - the current position of the marker inside the given document
Returns:
  `false` if the updater recognizes that the marker should be deleted